report.html

# index

###
Related Doc: package html

#### object index extends BaseScalaTemplate[play.twirl.api.HtmlFormat.Appendable, Format[play.twirl.api.HtmlFormat.Appendable]] with Template4[List[ZapAlert], String, ScanStatus, ScanStatus, play.twirl.api.HtmlFormat.Appendable]

Linear Supertypes
Template4[List[ZapAlert], String, ScanStatus, ScanStatus, play.twirl.api.HtmlFormat.Appendable], BaseScalaTemplate[play.twirl.api.HtmlFormat.Appendable, Format[play.twirl.api.HtmlFormat.Appendable]], Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. index
2. Template4
3. BaseScalaTemplate
4. Serializable
5. Serializable
6. Product
7. Equals
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def _display_(o: Any)(implicit m: ClassTag[play.twirl.api.HtmlFormat.Appendable]): play.twirl.api.HtmlFormat.Appendable

   Definition Classes
     BaseScalaTemplate

5. #### def _display_(x: play.twirl.api.HtmlFormat.Appendable): play.twirl.api.HtmlFormat.Appendable

   Definition Classes
     BaseScalaTemplate

6. #### def _display_(x: NodeSeq): play.twirl.api.HtmlFormat.Appendable

   Definition Classes
     BaseScalaTemplate

7. #### def _display_(x: Unit): play.twirl.api.HtmlFormat.Appendable

   Definition Classes
     BaseScalaTemplate

8. #### def _display_(x: String): play.twirl.api.HtmlFormat.Appendable

   Definition Classes
     BaseScalaTemplate

9. #### def _display_(x: AnyVal): play.twirl.api.HtmlFormat.Appendable

   Definition Classes
     BaseScalaTemplate

10. #### def apply(alerts: List[ZapAlert], failureThreshold: String, spiderScanStatus: ScanStatus, activeScanStatus: ScanStatus): play.twirl.api.HtmlFormat.Appendable

11. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def f: (List[ZapAlert], String, ScanStatus, ScanStatus) ⇒ play.twirl.api.HtmlFormat.Appendable

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### val format: Format[play.twirl.api.HtmlFormat.Appendable]

    Definition Classes
      BaseScalaTemplate

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def ref: index.this.type

23. #### def render(alerts: List[ZapAlert], failureThreshold: String, spiderScanStatus: ScanStatus, activeScanStatus: ScanStatus): play.twirl.api.HtmlFormat.Appendable

    Definition Classes
      index → Template4

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Template4[List[ZapAlert], String, ScanStatus, ScanStatus, play.twirl.api.HtmlFormat.Appendable]

### Inherited from BaseScalaTemplate[play.twirl.api.HtmlFormat.Appendable, Format[play.twirl.api.HtmlFormat.Appendable]]

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped